# Uses of Enum Class
org.apache.lucene.document.StoredValue.Type

Packages that use StoredValue.Type
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of StoredValue.Type in org.apache.lucene.document

  Methods in org.apache.lucene.document that return StoredValue.Type
  Modifier and Type
  Method
  Description
  `StoredValue.Type`
  StoredValue.`getType()`
  Retrieve the type of the stored value.
  `static StoredValue.Type`
  StoredValue.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StoredValue.Type[]`
  StoredValue.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.